{% extends '_base.html' %}
{% load static %}

{% block title %}My Rooms{% endblock title %}


{%block content%}


<div class="px-2 p-md-2 p-xl-4">
    <div class=" px-md-4">
        <div class="mt-4">
            <div class="row">
                <div class="col-lg-6">
                    
                    <div class="alert {%if current_active_session_count == request.user.subscription.parallel_sessions %} alert-success {%elif current_active_session_count == 0 %}alert-primary {% else %} alert-info{%endif%}" role="alert">
                        You are currently running {{current_active_session_count}} of {{request.user.subscription.parallel_sessions}} active meetings.
                    </div>
                </div>
                <div class="col-lg-6">
                    {% include 'pages/_includes/create_room.html' %}
                </div>
            </div>
            <ul class="nav nav-tabs mt-2 nav-fill" id="myTab" role="tablist">
                <li class="nav-item">
                <a class="nav-link active" id="home-tab" data-toggle="tab" href="#rooms" role="tab" aria-controls="home" aria-selected="true"><strong style="color: black;">Rooms</strong></a>
                </li>
                <li class="nav-item">
                <a class="nav-link" id="profile-tab" data-toggle="tab" href="#recordings" role="tab" aria-controls="profile" aria-selected="false"><strong style="color: black;">Recordings</strong></a>
                </li>
                <li class="nav-item">
                <a class="nav-link" id="contact-tab" data-toggle="tab" href="#account" role="tab" aria-controls="contact" aria-selected="false"><strong style="color: black;">My Account</strong></a>
                </li>
            </ul>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="rooms" role="tabpanel" aria-labelledby="home-tab">
                    
                    {%include 'pages/rooms.html'%}
                </div>
                <div class="tab-pane fade" id="recordings" role="tabpanel" aria-labelledby="profile-tab">
                    {%include 'pages/recordings.html'%}
                </div>
                <div class="tab-pane fade" id="account" role="tabpanel" aria-labelledby="contact-tab">
                    {% include 'pages/account.html'%}
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock %}

{% block javascript %}
<!-- Page specific JavaScript -->
<script src="{% static 'js/rooms.js' %}"></script>
<script>
    var showRecording;
    var rec_table;
    var room_table;
    $(document).ready( function () {
        room_table = $('#rooms_listing').DataTable({
            responsive: true,
            paging: false,
            "ordering": true,
            columnDefs: [{
                orderable: false,
                targets: "no-sort"
            }]
        });
        rec_table = $('#recording_listing').DataTable({
            responsive: true,
            paging: false,
            "ordering": true,
            columnDefs: [{
                orderable: false,
                targets: "no-sort"
            }]
        });
    } );
    
    $(".view_recordings").click(function(){
        $('#myTab a[href="#recordings"]').tab('show')
        rec_table.search( $(this).data("room-id") ).draw();
    })
    $('#myTab a[href="#recordings"]').click(function(){
        rec_table.search( "" ).draw();
    })
    $('#myTab a[href="#rooms"]').click(function(){
        room_table.search( "" ).draw();
    })
    $(".share-link").click(function(){
        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($(this).data('share-link')).select();
        document.execCommand("copy");
        $temp.remove();
        $($(this)).tooltip('show')
        $(this).text('Share link copied!')
        setTimeout(() => { $(this).text("Copy link"); },5000)
    })
    </script>
{% endblock javascript %}